Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Asynch_Timeout_Handler Class Reference

`#include <Asynch_Timeout_Handler.h>`

Inheritance diagram for TAO_Asynch_Timeout_Handler

[legend]
Collaboration diagram for TAO_Asynch_Timeout_Handler:

[legend]
List of all members.

## Public Methods
| TAO_Asynch_Timeout_Handler (TAO_Asynch_Reply_Dispatcher_Base *rd, ACE_Reactor *reactor)
| ~TAO_Asynch_Timeout_Handler ()
long | schedule_timer (TAO_Transport_Mux_Strategy *tms, CORBA::ULong request_id, const ACE_Time_Value &max_wait_time)
| Schedule a timer.
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act)
| Invoked by the reactor on timeout.
virtual void | cancel ()
| Cancel this timer, remove it from the reactor.
## Public Attributes
TAO_Asynch_Reply_Dispatcher_Base* | rd_
| The reply dispatcher expecting the reply.
TAO_Transport_Mux_Strategy* | tms_
| The transport mux strategy dispatching the reply.
CORBA::ULong | request_id_
| Remember the ID of the request.
ACE_Reactor* | reactor_
| Our reactor.

## Constructor & Destructor Documentation

const char *get_rcsid_tao _ TAO_Asynch_Timeout_Handler::TAO_Asynch_Timeout_Handler ( | TAO_Asynch_Reply_Dispatcher_Base * rd,
| ACE_Reactor * reactor )`[inline]`

TAO_Asynch_Timeout_Handler::~TAO_Asynch_Timeout_Handler ( | )

## Member Function Documentation

void TAO_Asynch_Timeout_Handler::cancel ( | )`[virtual]`

| Cancel this timer, remove it from the reactor.

int TAO_Asynch_Timeout_Handler::handle_timeout ( | const ACE_Time_Value & current_time,
| const void * act )`[virtual]`

| Invoked by the reactor on timeout. Reimplemented from ACE_Event_Handler.

long TAO_Asynch_Timeout_Handler::schedule_timer ( | TAO_Transport_Mux_Strategy * tms,
| CORBA::ULong request_id,
| const ACE_Time_Value & max_wait_time )

| Schedule a timer.

## Member Data Documentation

TAO_Asynch_Reply_Dispatcher_Base * TAO_Asynch_Timeout_Handler::rd_

| The reply dispatcher expecting the reply.

ACE_Reactor * TAO_Asynch_Timeout_Handler::reactor_

| Our reactor.

CORBA::ULong TAO_Asynch_Timeout_Handler::request_id_

| Remember the ID of the request.

TAO_Transport_Mux_Strategy * TAO_Asynch_Timeout_Handler::tms_

| The transport mux strategy dispatching the reply.

The documentation for this class was generated from the following files:

- Asynch_Timeout_Handler.h
- Asynch_Timeout_Handler.cpp